Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.mockoperation
Class MockRequestXmlDocument

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
          com.eviware.soapui.impl.wsdl.panels.mockoperation.MockRequestXmlDocument

All Implemented Interfaces:
  XmlDocument, PropertyChangeNotifier

    public class MockRequestXmlDocument

extends AbstractXmlDocument
implements XmlDocument

XmlDocument for the last request to a WsdlMockResponse

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`XML_PROPERTY`

Constructor Summary
`MockRequestXmlDocument(WsdlMockResponse response)`

Method Summary
`org.apache.xmlbeans.SchemaTypeSystem` | `getTypeSystem()`
`java.lang.String` | `getXml()`
`void` | `setXml(java.lang.String xml)`

Methods inherited from class com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument
`addPropertyChangeListener, addPropertyChangeListener, fireXmlChanged, release, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`release`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### MockRequestXmlDocument

    public MockRequestXmlDocument(WsdlMockResponse response)

Method Detail

### getTypeSystem

    public org.apache.xmlbeans.SchemaTypeSystem getTypeSystem()

  Specified by:
    `getTypeSystem` in interface `XmlDocument`

### getXml

    public java.lang.String getXml()

  Specified by:
    `getXml` in interface `XmlDocument`

### setXml

    public void setXml(java.lang.String xml)

  Specified by:
    `setXml` in interface `XmlDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.